[% USE Dumper %]

[% BLOCK veldoptie_edit %]
    <input type="hidden" name="update" value="kenmerk_id_[% bibliotheek_id %]" />
    [% PROCESS widgets/general/veldoptie.tt
    veldoptie_name      = 'kenmerk_id_' _ bibliotheek_id
    veldoptie_type      = kenmerk.type
    veldoptie_opties    = kenmerk.options
    veldoptie_value     = kenmerkvalue.0
    veldoptie_multiple       = kenmerk.bibliotheek_kenmerken_id.type_multiple
    veldoptie_label_multiple = kenmerk.label_multiple
    %]
[% END %]

[% previous_update_request = c.model('DB::ScheduledJobs').search_update_field_tasks({case_id => zaak.id, kenmerken => [bibliotheek_id]}).first  %]

<div class="attribute-change" data-ng-controller="nl.mintlab.case.AttributeRequestApproveController" data-ng-init="bibliotheekId='[% bibliotheek_id %]';caseId='[% zaak.id %]';attributeType='[% kenmerk.type %]';isPending=[% previous_update_request ? 'true' : 'false' %];pip=[% pip ? 'true' : 'false' %]" data-zs-case-attribute-update-form>
    

    <div class="ezra_pip_update_kenmerk-value_view field-can-edit" data-ng-show="!editMode">
        
        <div class="attribute-change-pending" data-ng-show="isPending">
            <span class="attribute-change-pending-value" data-ng-show="!fieldTemplate">
                [% IF previous_update_request %]
                    [% kenmerkvalue = previous_update_request.parameters.value %]
                [% END %]

                [% PROCESS widgets/general/veldoptie_view.tt
                    veldoptie_type  = kenmerk.type
                    veldoptie_value = kenmerkvalue
                    veldoptie_multiple       = kenmerk.bibliotheek_kenmerken_id.type_multiple
                    veldoptie_label_multiple = kenmerk.label_multiple
                %]
            </span>
            <span class="attribute-change-pending-value" data-ng-show="fieldTemplate" data-zs-template="<[fieldTemplate]>"></span>
            [% IF kenmerk.type != 'file' %]
            <span class="attribute-change-pending-message">In beoordeling</span>
            [% END %]
        </div>
        <div class="attribute-change-approved" data-ng-show="!isPending">
            [% PROCESS widgets/general/veldoptie_view.tt
                veldoptie_type  = kenmerk.type
                veldoptie_value = kenmerkvalue
                veldoptie_multiple       = kenmerk.bibliotheek_kenmerken_id.type_multiple
                veldoptie_label_multiple = kenmerk.label_multiple
            %]
        </div>
        
    </div>

    [% IF (!pip || kenmerk.pip_can_change) && !zaak.is_afgehandeld %]
    <div class="ezra_pip_update_kenmerk-value_edit attribute-change-edit">
        <div class="ezra_pip_update_kenmerk-input attribute-change-edit-input" data-ng-show="editMode">
            [% PROCESS veldoptie_edit %]
        </div>

        [% IF kenmerk.type != 'file' && kenmerk.type != 'appointment' && kenmerk.type != 'appointment_v2' && kenmerk.type != 'calendar' && kenmerk.type != 'calendar_supersaas' %]
            <div class="ezra_pip_update_kenmerk-meta attribute-change-edit-meta" data-ng-show="editMode">
                <div class="ezra_pip_update_kenmerk-toelichting">
                    <input type="text" name="toelichting" data-ng-model="toelichting" data-zs-placeholder="'Vul hier eventueel een toelichting in'" />
                </div>
                <button type="button" data-ng-click="submitChange()" data-ng-show="editMode" class="btn btn-primary" data-ng-disabled="caseForm.$invalid">
                    Opslaan
                </button>
                <button type="button" data-ng-click="cancelEditMode()" class="btn btn-flat">
                    Annuleren
                </button>
            </div>
        [% END %]

        <button type="button" data-ng-click="enableEditMode()" data-ng-show="!editMode" class="attribute-change-edit-button button button-secondary button-xsmall">
            Wijzigen
        </button>

    </div>
    [% END %]
</div>
